PPP update

PPP update

Post by Reality Dysfunctio » Wed, 02 Dec 1998 04:00:00



After having recently updating my Linux kernel  to build 2.0.36 I then
tried to update from ppp 2.2 to ppp 2.3.4.

Things seemed to be going fine, but I could not rebuild the kernel with
 the updated ppp files.  It failed after reporting numerous
" cannot convert to pointer type" and " structure has no member
named 'ddinfo' " errors in the usr/src/linux/driver/net/ppp.c file.

I had a look at the results from the "make kernel" command in the ppp
update  and it seems that it is skipping the update of ppp.c and of the
BSD compression module due to the fact that kernel 2.0.36 ships with
 later versions.

The ppp.c version in ppp-2.3.4 is 980319 and in the kernel source
 it is 980512.

Can you suggest a way around this problem,  should I over write the
newer ppp.c with the older version just to get it to work, or is there a
better way
around the problem?
Also, will my old pppd 2.2.0 work with the newer kernel, or will I have
switch to
 the newer version of ppp

 
 
 

PPP update

Post by Huma » Tue, 08 Dec 1998 04:00:00


iThe latest pppD is 2.3.5.  The ppp.c is having some problem when you
do the make kernel.  You can simply copy the ppp.c over to the linux
src directory, then edit the ppp.c line 3079.  Change the '<' to '>'
to avoid another problem.


: After having recently updating my Linux kernel  to build 2.0.36 I then
: tried to update from ppp 2.2 to ppp 2.3.4.
:
: Things seemed to be going fine, but I could not rebuild the kernel with
:  the updated ppp files.  It failed after reporting numerous
: " cannot convert to pointer type" and " structure has no member
: named 'ddinfo' " errors in the usr/src/linux/driver/net/ppp.c file.
:
: I had a look at the results from the "make kernel" command in the ppp
: update  and it seems that it is skipping the update of ppp.c and of the
: BSD compression module due to the fact that kernel 2.0.36 ships with
:  later versions.
:
: The ppp.c version in ppp-2.3.4 is 980319 and in the kernel source
:  it is 980512.
:
: Can you suggest a way around this problem,  should I over write the
: newer ppp.c with the older version just to get it to work, or is there a
: better way
: around the problem?
: Also, will my old pppd 2.2.0 work with the newer kernel, or will I have
: switch to
:  the newer version of ppp
:
:
: